CodeKit 2.7.1 - create websites faster and better

Thảo luận trong 'Developer - Beta - Demo' bắt đầu bởi Terminal, 23 Tháng hai 2016.

Chia sẻ trang này

  1. Terminal

    Terminal  /sh-3.2# Thành viên BQT

    Tham gia ngày:
    24 Tháng tư 2015
    Bài viết:
    409
    Đã được thích:
    199
    Điểm thành tích:
    43
    Giới tính:
    Nam
    codekit.jpg
    Year: 11/02/2016
    Version: 2.7.1
    Developer: Please login or register to view links
    Platform: Intel Only
    System Requirements:
    • Intel, 64-bit processor
    • OS X 10.8 or later
    Language: English
    Link download: Please login or register to view links
    Price: 32$
    Share by: OSX.VN Team
    Password download and extract (if have): osxvn

    CodeKit helps you to create websites faster and better.
    CodeKit can compile Less, Sass, Stylus, CoffeeScript, Typescript, Jade, Haml, Slim, Markdown & Javascript;optimize minifitsirovat, squeeze all that is possible to optimize, compress and minifitsirovat;check the syntax of JavaScript and CoffeeScript;LiveReload create a compound that will be available in any browser on any device.the most common frameworks (Foundation, Bourbon, Compass) already inside, but even steeper - a built-Bower;generate Source Map;plus everything you can "automate their" via AppleScript or Bash.Advantages:
    • Synchronization settings for groups and computers in an open format JSON project
    • Keep only one copy of the file on disk and easily use it in many projects, without worrying about file paths.
    • Do script debugging fun and easy.
    • Lossless you can reduce JPEG and PNG file size with one click and see the saved result.

    Security:
    CodeKit uses the open-source Sparkle framework to manage updates. Last week, a large man-in-the-middle vulnerability was found in Sparkle. Prior releases of CodeKit should be unaffected because all updates are delivered over SSL. Nevertheless, this release includes a new, fixed version of Sparkle (1.13.1).

    2.7.1 Hotfix
    The original CodeKit 2.7 release contained Libsass 3.3.3, which had a critical regression that broke Sass compiling for many people. Version 2.7.1 returns to Libsass 3.3.2 until the Libsass team fixes the problem. Ask me how many emails I've gotten in the last 5 hours.

    Component Updates:
    • Sass --> 3.4.21
    • Autoprefixer --> 6.3.1
    • Bower --> 1.7.7
    • Less --> 2.6
    • Stylus --> 0.53.0
    • TypeScript --> 1.7.5 (new ES6 Module type option)
    • Susy --> 2.2.12
    • Haml --> 4.0.7
    • Node --> 4.3.0
    • JSLint --> 7 February 2016 Release

    [​IMG]

    [​IMG]

    [​IMG]

    [​IMG]

    [​IMG]
     

Chia sẻ trang này